×

Discussion Board

Results 1 to 11 of 11
  1. #1
    Registered User
    Join Date
    Aug 2008
    Posts
    3

    cabide c++ SDK install problem

    I have installed carbide 1.3 and the SDK for S60 3rd FP1
    After I installed both carbide insists that no SDK has been installed - however the SDK is installed, and I can run the emulator?

    I installed it on my laptop that is running Win XP home - is that a problem?

    Thanks in advance,
    Allan

  2. #2
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: cabide c++ SDK install problem

    What was the order of installation. but it must not effect.

    YOu can try

    Carbide.c++ -> Windows -> Preferences -> Carbide.c++ -> SDK Preferences -> Rescan ALL SDKs .

  3. #3
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,347

    Re: cabide c++ SDK install problem

    Quote Originally Posted by alni View Post
    I have installed carbide 1.3 and the SDK for S60 3rd FP1
    After I installed both carbide insists that no SDK has been installed - however the SDK is installed, and I can run the emulator?

    I installed it on my laptop that is running Win XP home - is that a problem?

    Thanks in advance,
    Allan
    Where did you install SDK, Carbide, Perl etc...? In same drive or different?

    It is better to have them in same drive for smooth moving.

    Kiran.
    Nokia Developer Wiki Moderation team

  4. #4
    Registered User
    Join Date
    Aug 2008
    Posts
    3

    Re: cabide c++ SDK install problem

    Thanks for the answers.

    The order of install was:
    perl
    carbide
    SDK

    Everything is on the same drive.

    when I do:
    Carbide.c++ -> Windows -> Preferences -> Carbide.c++ -> SDK Preferences -> Rescan ALL SDKs

    It still reports that there are no SDKs :(

  5. #5
    Registered User
    Join Date
    Aug 2008
    Posts
    3

    Re: cabide c++ SDK install problem

    One additional thing:
    I have cygwin installed, and through that an additional perl - maybe I should uninstall that...

    I'm really looking forward to be able to write programs for my N82.

    /allan

  6. #6
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,561

    Re: cabide c++ SDK install problem

    Quote Originally Posted by alni View Post
    One additional thing:
    I have cygwin installed, and through that an additional perl - maybe I should uninstall that...

    I'm really looking forward to be able to write programs for my N82.

    /allan
    I vaguely remember somebody having some problems related to cygwin. Am not sure, but you should try once by un-installing Cygwin.

    Btw, hope you have the right perl version (just to confirm to avoid problems later) Also its good idea to check release notes to see if you got everything right.

  7. #7
    Nokia Developer Champion
    Join Date
    Oct 2006
    Location
    Bangalore, India
    Posts
    1,572

    Re: cabide c++ SDK install problem

    Btw, hope you have the right perl version (just to confirm to avoid problems later) Also its good idea to check release notes to see if you got everything right.
    Yes this has been a major problem creator. You need to have the right perl version and not only the version, but also the right build of the version as mentioned in the release notes. Not a version or build older, and not a version / build newer...

    I wonder why they don't support newer version though !
    Amit Kankani
    Nokia Developer Champion

  8. #8
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,347

    Wink Re: cabide c++ SDK install problem

    Quote Originally Posted by amitkankani View Post
    Not a version or build older, and not a version / build newer...
    It works, really. ;) Let's say version should be 5.6.1 but build can be 631, 635 or 638 etc...

    Kiran.
    Nokia Developer Wiki Moderation team

  9. #9
    Nokia Developer Champion
    Join Date
    Oct 2006
    Location
    Bangalore, India
    Posts
    1,572

    Re: cabide c++ SDK install problem

    Quote Originally Posted by kiran10182 View Post
    It works, really. ;) Let's say version should be 5.6.1 but build can be 631, 635 or 638 etc...

    Kiran.
    It might work, but when I installed FP2, I had build 638 and the commandline build was failing.
    When I reverted to build 635 as mentioned in the release-notes, it solved the problem.

    So I am not saying other BUILDS will not work, but better install the one mentioned in the release notes to avoid any problems in future or any of the sdks.
    Amit Kankani
    Nokia Developer Champion

  10. #10
    Registered User
    Join Date
    Jul 2008
    Posts
    1

    Re: cabide c++ SDK install problem

    Hi, thanks for the suggestions - I really still haven't been able to solve my problem.

    I removed cygwin, no difference

    I checked that perl is the one suggested in the release notes.

    Just for the heck of it I updated to carbide 1.3.1, and applied all the updates carbide could find.

    Since I have installed and removed the SDK several times my install path is now:
    c:\symbian\9.2\S60_3rd_FP1_5

    How can I wipe all traces of the SDK so I would get back to: ?
    c:\symbian\9.2\S60_3rd_FP1

    Any additional suggestions appreciated!

    Allan

  11. #11
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,750

    Re: cabide c++ SDK install problem

    You can do some cleanup in the registry for that: HKLM\SOFTWARE\Nokia and Symbian. Needless to say: be careful, uninstall the given component prior to removing its traces from the registry.

Similar Threads

  1. Problem in installing S60 3rd Edition FP1 SDK
    By raghughatage in forum Symbian Tools & SDKs
    Replies: 16
    Last Post: 2008-05-03, 11:55
  2. Install SDK Emulator to Eclipse
    By Oli00 in forum Mobile Java General
    Replies: 1
    Last Post: 2007-10-15, 05:14
  3. S90 MIDP SDK 1.0 Beta MMAPI Problem
    By kfalck in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2004-06-21, 19:44
  4. NMIT: problem with seeing phone sdk's in sdk control panel
    By ulucan_serkan in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2004-06-18, 09:45
  5. Http connection problem in 6310i
    By teahola in forum Mobile Java General
    Replies: 1
    Last Post: 2002-10-03, 18:46

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×